Subject: bug#6554: closed (Re: bug#6554: [PATCH] split: Additional suffix for split (bug#6554))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Feb 2012 18:19:02 +0000

Your bug report

#6554: [coreutils] Additional suffix for split

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6554: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6554
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6554: [PATCH] split: Additional suffix for split (bug#6554)
From: Pádraig Brady <[email-masked]>
To: Jérémy Compostella<[email-masked]>
Cc: Eric Blake <[email-masked]>, [email-masked], [email-masked], Peng Yu <[email-masked]>
Date: Sun, 19 Feb 2012 18:16:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 02/19/2012 12:54 PM, Jérémy Compostella wrote:
> Pádraig,
> 
> I replaced --suffix with --additional-suffix and made some cleaning.
> 
> Feel free to comment the attached patch.

Logic is perfect again.

I adjusted the help output a little like:

-  -a, --suffix-length=N   use suffixes of length N (default %d)\n\
-      --additional-suffix=SUFFIX  append an additional SUFFIX to output file\n\
-                                       names. SUFFIX must not contain slash.\n\
+  -a, --suffix-length=N   generate suffixes of length N (default %d)\n\
+      --additional-suffix=SUFFIX  append an additional SUFFIX to file names.\n\

I'll push later on.

cheers,
Pádraig.

Subject: Re: [coreutils] Additional suffix for split
From: Eric Blake <[email-masked]>
To: Peng Yu <[email-masked]>
Cc: bug-coreutils <[email-masked]>, [email-masked]
Date: Fri, 02 Jul 2010 13:51:44 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

[adding bug-coreutils, to create a bug id to track this by]

On 06/15/2010 09:23 PM, Peng Yu wrote:
> I need to add an additional common suffix to the files splited by
> split. Right now, I have to use mv to do so. But I feel it is
> convenient to have an option to add the suffix. Is this feature going
> to be considered to be added in the future?

Hmm, considering that we recently taught mktemp how to honor suffixes,
it does indeed sound like this might be a useful feature addition.  It's
probably not going to be my highest priority to write such a patch, but
I'll gladly review any patch written by someone else.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org